Show / Hide Table of Contents

# Class OpenIddictValidationFactory

##### Inheritance

System.Object
OpenIddictValidationFactory

##### Implements

IOpenIddictValidationFactory

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationFactory : IOpenIddictValidationFactory

### Constructors

#### OpenIddictValidationFactory(ILogger<OpenIddictValidationDispatcher>, IOptionsMonitor<OpenIddictValidationOptions>)

Creates a new instance of the OpenIddictValidationFactory class.

##### Declaration

    public OpenIddictValidationFactory(ILogger<OpenIddictValidationDispatcher> logger, IOptionsMonitor<OpenIddictValidationOptions> options)

##### Parameters

Type | Name | Description
--- | --- | ---
ILogger<OpenIddictValidationDispatcher> | logger |
IOptionsMonitor<OpenIddictValidationOptions> | options |

### Methods

#### CreateTransactionAsync()

##### Declaration

    public ValueTask<OpenIddictValidationTransaction> CreateTransactionAsync()

##### Returns

Type | Description
--- | ---
ValueTask<OpenIddictValidationTransaction> |

### Implements

IOpenIddictValidationFactory